/* Angular */

@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';

#client-menu  .mat-input-placeholder, #client-menu  .mat-form-field-placeholder {
    color: #791122;
    padding: 12px;
    /*top: 1em;*/
    /*font-size: 1.2em!important;*/
}

#client-menu  .mat-form-field-placeholder-wrapper {
    top: -1.1em;
    padding-bottom: 0.5em;
}

#client-menu .mat-form-field-underline, #client-menu .mat-input-underline {
    display: none;
}

#client-menu .mat-form-field-infix {
    border-top: 3px solid transparent;
}

/* Date picker */

#client-menu .mat-form-field-prefix, .mat-form-field-suffix {
    position: absolute;
    right: 0;
    top: 18px;
    height: 32px;
}

mat-datepicker-toggle button {
    position: absolute;
    right: 5px;
    top: -5px;
    height: 25px;
    width: 25px;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    border-radius: 100%;
    background: #f3f3f3;
}

#client-menu .svg path {
    fill: #d7625b!important;
}

.mat-calendar-body-selected {
    background: #d7625b!important;
}


#client-menu .mat-form-field-wrapper {
    padding-bottom: 0!important;
}

/*#client-menu .mat-form-field-infix .mat-input-element {*/
    /*padding: 0!important;*/
/*}*/


/*
    Design colors
    bg -> #dcefd9
    darker part of bg -> #cae7c8
    menu button and most other buttons -> #d7625b
    active menu button -> #a8393f
    login approved color -> #70be68
    login denied color -> #cd1f36
    text color -> #791122
 */

@font-face {
    font-family: 'Raleway';
    src: url('../fonts/raleway.ttf');
}

@font-face {
    font-family: 'Raleway SemiBold';
    src: url('../fonts/raleway-semibold.ttf');
}

@font-face {
    font-family: 'Playfair Display';
    src: url('../fonts/playfairdisplay-regular.otf');
}

/* General */

body, html {
    position: relative;
}

html {
    margin-top: 0 !important;
}

button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

button, input, textarea {
    border: none;
    outline: none;
}

input:focus {
    outline: none;
}

body, button, input, textarea, .mat-header-cell {
    font-family: 'Raleway';
}

html, body, app-root {
    min-height: 100vh;
    height: 100%;
}

body {
    font-size: 0.9em;
    line-height: 1.1em;

    background: #dcefd9;
}

#client-menu .mat-form-field-can-float.mat-form-field-should-float .mat-form-field-placeholder {
    display: none!important;
}

a {
    text-decoration: none;
}

button {
    border: none;
}

h1 {
    font-size: 2em;
    padding: 30px 0;
    color: #791122;
    font-family: 'Playfair Display';
}

h2 {
    font-size: 1.4em;
    color: #791122;
    margin: 20px 0;
}

h3 {
    font-size: 1.2em;
    color: #791122;
    margin: 20px 0;
    font-family: 'Raleway Medium';
}

b {
    font-family: 'Raleway SemiBold';
}

input[type="text"] {
    /*border: 3px solid white;*/
    /*-webkit-border-radius: 3px;*/
    /*-moz-border-radius: 3px;*/
    /*border-radius: 3px;*/
    margin-bottom: 5px;
}

input[type='password'] {
    /*border: 3px solid white;*/
    /*-webkit-border-radius: 3px;*/
    /*-moz-border-radius: 3px;*/
    /*border-radius: 3px;*/
    margin-bottom: 5px;
}

input, textarea {
    padding: 8px;
    font-family: Raleway!important;
}

input[type="date"] {
    padding: 7px;
}

input[type="radio"] {
    background: white;
    display: inline-block;
    width: 20px!important;
    height: 20px;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    border-radius: 100%;
    cursor: pointer;
    vertical-align: text-bottom;
    border: 4px solid white;
    padding: 0;
}

input[type="radio"]:checked, input[type="radio"]:hover, input[type="checkbox"]:hover, input[type="checkbox"]:checked {
    background: #70be69;
}

input[type="checkbox"] {
    -webkit-appearance: none!important;
    -moz-appearance: none!important;
    appearance: none!important;
    background: white;
    width: 10px!important;
    height: 10px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    vertical-align: middle;
    cursor: pointer;
    border: 3px solid white;
    padding: 7px;
}

input[type="checkbox"]:checked:hover {
    /*background: white;*/
}

input[type="radio"] {
    margin-bottom: 0;
}

input {
    padding: 10px;
    margin-bottom: 5px;
}

/* Track */
body::-webkit-scrollbar-track {
    background: #b0d5ac!important;
}

/* Handle */
body::-webkit-scrollbar-thumb {
    background: #94bf92!important;
}

/* Handle on hover */
body::-webkit-scrollbar-thumb:hover {
    background: #b0d5ac!important;
}

.mat-form-field, .mat-option-text {
    font-family: Raleway;
}

.button:hover  {
    opacity: 0.75;
}

.close-button {
    height: 40px;
    width: 40px;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    border-radius: 100%;
    background: #a8393f;
    color: white;
    position: absolute;
    top: -20px;
    right: -20px;
}

.form-group {
    float: left;
    margin-right: 2%;
    margin-bottom: 20px;
    height: 60px;
}

.form-group label {
    display: block;
    margin-bottom: 10px;
}

.form-group label, .form-group input, .form-group textarea {
    width: 100%;
}

.border-title {
    padding-bottom: 10px;
    border-bottom: 5px solid #a8393f;
}

.overlay {
    background-color: rgba(255,255,255,0.5);
}

button:disabled {
    pointer-events: none;
    -webkit-filter: grayscale(100%) brightness(110%);
    filter: grayscale(100%) brightness(110%);
}

/* Svg */

/*.user-link path {*/
    /*fill: #d7625b;*/
/*}*/

#add-client-button .svg path {
    fill: #98cf92;
}

#edit-client-button .svg path {
    fill: #9dcbc8;
}

/* End general */

/* Content */

#page-wrap {
    height: 100%;
    min-height: calc(100vh - 160px);
}

.center-container {
    background-color: #cae7c8;
    padding: 40px;
}

.center-container {
    width: 60%;
}

.center-container, .side-menu-wrap {
    /*height: 100%;*/
    min-height: calc(100vh - 140px);
    float: left;
}

/* Menu's */

.side-menu-wrap {
    width: 20%;
    padding: 40px;
}

.link {
    background-color: #d7625b;
    color: white;
    text-align: center;
    padding: 10px;
    display: inline-block;
    cursor: pointer;
}

.link:hover, .link.selected {
    background-color: #a8393f!important;
    color: #dcefd9!important;
}

/* Hidden */

.hidden {
    display: none;
}

/* Clearfix - force element to be the same size as its children */

/* Clearfix */

#page-wrap:after, #header-content:after, .mat-row:after, #nutrient-filter:after, #filter-content:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}
